org.springframework.beans.propertyeditors

## Class CharsetEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.CharsetEditor

- All Implemented Interfaces:
    PropertyEditor

      public class CharsetEditor
      extends PropertyEditorSupport

  Editor for `java.nio.charset.Charset`, translating charset String representations into Charset objects and back.

  Expects the same syntax as Charset's `Charset.name()`, e.g. `UTF-8`, `ISO-8859-16`, etc.

  Since:
    2.5.4
  Author:
    Arjen Poutsma
  See Also:
    `Charset`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharsetEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()`
    `void` | `setAsText(String text)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharsetEditor

          public CharsetEditor()

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)
                         throws IllegalArgumentException

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`
      Throws:
        `IllegalArgumentException`

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`